Clean dupes and updates from last few weeks

This commit is contained in:
Ian Keane 2022-06-25 06:10:37 -04:00
parent 2da7c637c1
commit 70bc80bb28
36 changed files with 200 additions and 933 deletions

View file

@ -3,6 +3,13 @@ TODO: Figure out sbcl/quicklisp auto install
# Fresh slackware install # Fresh slackware install
1. notes go here 1. notes go here
1. install bpopkg 2. install bpopkg
- `wget https://github.com/sbopkg/sbopkg/releases/download/0.38.2/sbopkg-0.38.2-noarch-1_wsr.tgz` - `wget https://github.com/sbopkg/sbopkg/releases/download/0.38.2/sbopkg-0.38.2-noarch-1_wsr.tgz`
- `installpkg sbopkg-0.38.2-noarch-1_wsr.tgz` - `installpkg sbopkg-0.38.2-noarch-1_wsr.tgz`
stow .vim
stow .local
if not /usr/local/bin/python3, symlink from /usr/bin
same with: fish, bash, sh,
todo: configure users with ansible

View file

@ -1,63 +1,28 @@
!! URxvt Appearance !! URxvt Appearance
! special
*.foreground: #e6e1dc
*.background: #2b2b2b
*.cursorColor: #e6e1dc
! black
*.color0: #2b2b2b
*.color8: #5a647e
! red
*.color1: #da4939
*.color9: #da4939
! green
*.color2: #a5c261
*.color10: #a5c261
! yellow
*.color3: #ffc66d
*.color11: #ffc66d
! blue
*.color4: #6d9cbe
*.color12: #6d9cbe
! magenta
*.color5: #b6b3eb
*.color13: #b6b3eb
! cyan
*.color6: #519f50
*.color14: #519f50
! white
*.color7: #e6e1dc
*.color15: #f9f7f3
!URxvt.font: xft:BitstreamVeraSansMono:antialias=true:pixelsize=14 !URxvt.font: xft:BitstreamVeraSansMono:antialias=true:pixelsize=14
URxvt.font: xft:DejaVu Sans Mono:pixelsize=14, xft:symbola:pixelsize=14, xft:Kochi Gothic:antialias=false /* *.font: ttf:DejaVuSansMono:pixelsize=14, xft:symbola:pixelsize=14, xft:Kochi Gothic:antialias=false, ttf:NotoColorEmoji *1/ */
URxvt.letterSpace: 0 /* *.font: ttf:Liberation Mono:pixelsize=14 */
URxvt.lineSpace: 0 *.font:BitstreamVeraSansMono:pixelsize=14:antialias=true:autohint=true;
URxvt.geometry: 92x24 /* URxvt.letterSpace: 0 */
URxvt.internalBorder: 8 /* URxvt.lineSpace: 0 */
URxvt.cursorBlink: true /* URxvt.geometry: 92x24 */
URxvt.cursorUnderline: false /* URxvt.internalBorder:8 */
URxvt.saveline: 2048 /* URxvt.cursorBlink: true */
URxvt.scrollBar: false /* URxvt.cursorUnderline: false */
URxvt.scrollBar_right: false /* URxvt.saveline: 2048 */
URxvt.urgentOnBell: true /* URxvt.scrollBar: false */
URxvt.depth: 24 /* URxvt.scrollBar_right: false */
URxvt.iso14755: false /* URxvt.urgentOnBell: true */
/* URxvt.depth: 24 */
/* URxvt.iso14755: false */
!! Fake Transparency !! Fake Transparency
URxvt.transparent: true /* URxvt.transparent: true */
URxvt.shading: 15 /* URxvt.shading: 15 */
!! Real Transparency !! Real Transparency
!URxvt.depth: 32 !URxvt.depth: 32
@ -66,4 +31,51 @@ URxvt.shading: 15
!! DZEN2 !! DZEN2
! !
dzen2.font: xft:BitstreamVeraSansMono:antialias=true:pixelsize=14
/* start flavours */
! Base16 OceanicNext
! Scheme: https://github.com/voronianski/oceanic-next-color-scheme
#define base00 #1B2B34
#define base01 #343D46
#define base02 #4F5B66
#define base03 #65737E
#define base04 #A7ADBA
#define base05 #C0C5CE
#define base06 #CDD3DE
#define base07 #D8DEE9
#define base08 #EC5f67
#define base09 #F99157
#define base0A #FAC863
#define base0B #99C794
#define base0C #5FB3B3
#define base0D #6699CC
#define base0E #C594C5
#define base0F #AB7967
*foreground: base05
#ifdef background_opacity
*background: [background_opacity]base00
#else
*background: base00
#endif
*cursorColor: base05
*color0: base00
*color1: base08
*color2: base0B
*color3: base0A
*color4: base0D
*color5: base0E
*color6: base0C
*color7: base05
*color8: base03
*color9: base09
*color10: base01
*color11: base02
*color12: base04
*color13: base06
*color14: base0F
*color15: base07
/* end flavours */

View file

@ -17,5 +17,7 @@ stty -ixon # disable ctrl-s terminal freeze
# Enable GPG ssh auth # Enable GPG ssh auth
export SSH_AUTH_SOCK=$(gpgconf --list-dirs agent-ssh-socket) #export SSH_AUTH_SOCK=$(gpgconf --list-dirs agent-ssh-socket)
gpgconf --launch gpg-agent #gpgconf --launch gpg-agent
[ -f ~/.fzf.bash ] && source ~/.fzf.bash

View file

@ -2,8 +2,23 @@
sxhkd & sxhkd &
bspc monitor -d I II III IV V VI VII VIII IX X bspc monitor -d I II III IV V VI VII VIII IX X
bspc rule -a Gimp desktop='^8' state=floating follow=on
bspc rule -a Chromium desktop='^2'
bspc rule -a mplayer2 state=floating
bspc rule -a Kupfer.py focus=on
bspc rule -a Screenkey manage=off
# start flavours
bspc config normal_border_color "#343D46"
bspc config active_border_color "#99C794"
bspc config focused_border_color "#99C794"
bspc config presel_feedback_color "#5FB3B3"
# end flavours
bspc config border_width 2 bspc config border_width 2
bspc config window_gap 12 bspc config window_gap 12
@ -11,8 +26,4 @@ bspc config split_ratio 0.52
bspc config borderless_monocle true bspc config borderless_monocle true
bspc config gapless_monocle true bspc config gapless_monocle true
bspc rule -a Gimp desktop='^8' state=floating follow=on lemonlaunch
bspc rule -a Chromium desktop='^2'
bspc rule -a mplayer2 state=floating
bspc rule -a Kupfer.py focus=on
bspc rule -a Screenkey manage=off

View file

@ -5,4 +5,5 @@ set BROWSER firefox
if status --is-interactive if status --is-interactive
set BASE16_SHELL "$HOME/.config/base16-shell/" set BASE16_SHELL "$HOME/.config/base16-shell/"
source "$BASE16_SHELL/profile_helper.fish" source "$BASE16_SHELL/profile_helper.fish"
source "$HOME/.config/fish/functions/autojump.fish"
end end

View file

@ -1,3 +0,0 @@
#Auto-Complete function for AWSume
complete --command awsume --arguments '(awsume-autocomplete)'

View file

@ -1,7 +0,0 @@
complete --command fisher --exclusive --long help --description "Print help"
complete --command fisher --exclusive --long version --description "Print version"
complete --command fisher --exclusive --condition __fish_use_subcommand --arguments install --description "Install plugins"
complete --command fisher --exclusive --condition __fish_use_subcommand --arguments update --description "Update installed plugins"
complete --command fisher --exclusive --condition __fish_use_subcommand --arguments remove --description "Remove installed plugins"
complete --command fisher --exclusive --condition __fish_use_subcommand --arguments list --description "List installed plugins matching regex"
complete --command fisher --exclusive --condition "__fish_seen_subcommand_from update remove" --arguments "(fisher list)"

View file

@ -1,19 +0,0 @@
complete --command nvm --exclusive --long version --description "Print version"
complete --command nvm --exclusive --long help --description "Print help"
complete --command nvm --exclusive --condition __fish_use_subcommand --arguments install --description "Download and activate the specified Node version"
complete --command nvm --exclusive --condition __fish_use_subcommand --arguments use --description "Activate a version in the current shell"
complete --command nvm --exclusive --condition __fish_use_subcommand --arguments list --description "List installed versions"
complete --command nvm --exclusive --condition __fish_use_subcommand --arguments list-remote --description "List versions available to install matching optional regex"
complete --command nvm --exclusive --condition __fish_use_subcommand --arguments current --description "Print the currently-active version"
complete --command nvm --exclusive --condition "__fish_seen_subcommand_from install" --arguments "(
test -e $nvm_data && string split ' ' <$nvm_data/.index
)"
complete --command nvm --exclusive --condition "__fish_seen_subcommand_from use" --arguments "(_nvm_list | string split ' ')"
complete --command nvm --exclusive --condition __fish_use_subcommand --arguments uninstall --description "Uninstall a version"
complete --command nvm --exclusive --condition "__fish_seen_subcommand_from uninstall" --arguments "(
_nvm_list | string split ' ' | string replace system ''
)"
complete --command nvm --exclusive --condition "__fish_seen_subcommand_from use uninstall" --arguments "(
set --query nvm_default_version && echo default
)"

View file

@ -1,189 +0,0 @@
# copy this into ~/.config/fish/completions/ to enable autocomplete for the watson time tracker
#
function __fish_watson_needs_sub -d "provides a list of sub commands"
set cmd (commandline -opc)
if [ (count $cmd) -eq 1 -a $cmd[1] = 'watson' ]
return 0
end
return 1
end
function __fish_watson_using_command -d "determine if watson is using the passed command"
set cmd (commandline -opc)
if [ (count $cmd) -ge 2 -a $cmd[1] = 'watson' ]
if [ $argv[1] = $cmd[2] ]
return 0
end
return 1
end
return 1
end
function __fish_watson_get_projects -d "return a list of projects"
command watson projects
end
function __fish_watson_get_tags -d "return a list of tags"
command watson tags
end
function __fish_watson_has_project -d "determine if watson is using a passed command and if it has a project"
set cmd (commandline -opc)
if [ (count $cmd) -gt 2 -a $cmd[1] = 'watson' ]
if [ $argv[1] = $cmd[2] ]
if contains "$cmd[3]" (__fish_watson_get_projects)
return 0
end
end
end
return 1
end
function __fish_watson_has_from -d "determine if watson is using a passed command and if it is using from"
set cmd (commandline -opc)
if [ (count $cmd) -gt 2 -a $cmd[1] = 'watson' ]
if [ $argv[1] = $cmd[2] ]
if contains -- "$cmd[3]" -f --from
return 0
end
end
end
return 1
end
function __fish_watson_get_frames -d "return a list of frames" #TODO, use watson logs to get more info
command watson frames
end
function __fish_watson_needs_project -d "check if we need a project"
set cmd (commandline -opc)
if [ (count $cmd) -ge 2 -a $cmd[1] = 'watson' ]
if [ $argv[1] = $cmd[2] ]
for i in $cmd
if contains $i (__fish_watson_get_projects)
return 1 # return 1 because we alredy have a project
end
end
return 0 # we are using $argv as our command and the command does not contain any projects
end
end
return 1
end
# if a backend.url is set, use it in the command description
if [ -e ~/.config/watson/config ]
set url_string (command watson config backend.url 2> /dev/null)
if test -n "$url_string"
set url $url_string
end
else
set url "a remote Crick server"
end
# ungrouped
complete -f -c watson -n '__fish_watson_needs_sub' -a cancel -d "Cancel the last start command"
complete -f -c watson -n '__fish_watson_needs_sub' -a frames -d "Display the list of all frame IDs"
complete -f -c watson -n '__fish_watson_needs_sub' -a help -d "Display help information"
complete -f -c watson -n '__fish_watson_needs_sub' -a projects -d "Display the list of projects"
complete -f -c watson -n '__fish_watson_needs_sub' -a sync -d "sync your work with $url"
complete -f -c watson -n '__fish_watson_needs_sub' -a tags -d "Display the list of tags"
# add
complete -f -c watson -n '__fish_watson_needs_sub' -a add -d "Add time for project with tag(s) that was not tracked live"
complete -f -c watson -n '__fish_watson_using_command add' -s f -l from -d "Start date for add"
complete -f -c watson -n '__fish_watson_has_from add' -s t -l to -d "end date for add"
complete -f -c watson -n '__fish_watson_using_command add' -s c -l confirm-new-project -d "Confirm addition of new project"
complete -f -c watson -n '__fish_watson_using_command add' -s b -l confirm-new-tag -d "Confirm addition of new tag"
# aggregate
complete -f -c watson -n '__fish_watson_needs_sub' -a aggregate -d "Display a report of the time spent on each project aggregated by day"
complete -f -c watson -n '__fish_watson_using_command aggregate' -s c -l current -d "include the running frame"
complete -f -c watson -n '__fish_watson_using_command aggregate' -s C -l no-current -d "exclude the running frame (default)"
complete -f -c watson -n '__fish_watson_using_command aggregate' -s f -l from -d "Start date for aggregate"
complete -f -c watson -n '__fish_watson_has_from aggregate' -s t -l to -d "end date for aggregate"
complete -f -c watson -n '__fish_watson_using_command aggregate' -s p -l project -d "restrict to project" -a "(__fish_watson_get_projects)"
complete -f -c watson -n '__fish_watson_using_command aggregate' -s T -l tag -d "restrict to tag" -a "(__fish_watson_get_tags)"
complete -f -c watson -n '__fish_watson_using_command aggregate' -s j -l json -d "output json"
complete -f -c watson -n '__fish_watson_using_command aggregate' -s s -l csv -d "output csv"
complete -f -c watson -n '__fish_watson_using_command aggregate' -s g -l pager -d "view through pager"
complete -f -c watson -n '__fish_watson_using_command aggregate' -s G -l no-pager -d "don't vew through pager"
# config
complete -f -c watson -n '__fish_watson_needs_sub' -a config -d "Get and set configuration options"
complete -f -c watson -n '__fish_watson_using_command config' -s e -l edit -d "Edit the config with an editor"
# edit
complete -f -c watson -n '__fish_watson_needs_sub' -a edit -d "Edit a frame"
complete -f -c watson -n '__fish_watson_using_command edit' -a "(__fish_watson_get_frames)"
# log
complete -f -c watson -n '__fish_watson_needs_sub' -a log -d "Display sessions during the given timespan"
complete -f -c watson -n '__fish_watson_using_command log' -s c -l current -d "include the running frame"
complete -f -c watson -n '__fish_watson_using_command log' -s C -l no-current -d "exclude the running frame (default)"
complete -f -c watson -n '__fish_watson_using_command log' -s f -l from -d "Start date for log"
complete -f -c watson -n '__fish_watson_has_from log' -s t -l to -d "end date for log"
complete -f -c watson -n '__fish_watson_using_command log' -s y -l year -d "show the last year"
complete -f -c watson -n '__fish_watson_using_command log' -s m -l month -d "show the last month"
complete -f -c watson -n '__fish_watson_using_command log' -s l -l luna -d "show the last lunar cycle"
complete -f -c watson -n '__fish_watson_using_command log' -s w -l week -d "show week-to-day"
complete -f -c watson -n '__fish_watson_using_command log' -s d -l day -d "show today"
complete -f -c watson -n '__fish_watson_using_command log' -s a -l all -d "show all"
complete -f -c watson -n '__fish_watson_using_command log' -s p -l project -d "restrict to project" -a "(__fish_watson_get_projects)"
complete -f -c watson -n '__fish_watson_using_command log' -s T -l tag -d "restrict to tag" -a "(__fish_watson_get_tags)"
complete -f -c watson -n '__fish_watson_using_command log' -s j -l json -d "output json"
complete -f -c watson -n '__fish_watson_using_command log' -s s -l csv -d "output csv"
complete -f -c watson -n '__fish_watson_using_command log' -s g -l pager -d "view through pager"
complete -f -c watson -n '__fish_watson_using_command log' -s G -l no-pager -d "don't vew through pager"
# merge
complete -f -c watson -n '__fish_watson_needs_sub' -a merge -d "merge existing frames with conflicting ones"
complete -f -c watson -n '__fish_watson_using_command merge' -s f -l force -d "silently merge"
# remove
complete -f -c watson -n '__fish_watson_needs_sub' -a remove -d "Remove a frame"
complete -f -c watson -n '__fish_watson_using_command remove' -a "(__fish_watson_get_frames)"
complete -f -c watson -n '__fish_watson_using_command remove' -s f -l force -d "silently remove"
# rename
complete -f -c watson -n '__fish_watson_needs_sub' -a rename -d "Rename a project or tag"
complete -f -c watson -n '__fish_watson_using_command rename' -a "(__fish_watson_get_projects) (__fish_watson_get_tags)"
# report
complete -f -c watson -n '__fish_watson_needs_sub' -a report -d "Display a report of time spent"
complete -f -c watson -n '__fish_watson_using_command report' -s c -l current -d "include the running frame"
complete -f -c watson -n '__fish_watson_using_command report' -s C -l no-current -d "exclude the running frame (default)"
complete -f -c watson -n '__fish_watson_using_command report' -s f -l from -d "Start date for report"
complete -f -c watson -n '__fish_watson_has_from report' -s t -l to -d "end date for report"
complete -f -c watson -n '__fish_watson_using_command report' -s y -l year -d "show the last year"
complete -f -c watson -n '__fish_watson_using_command report' -s m -l month -d "show the last month"
complete -f -c watson -n '__fish_watson_using_command report' -s l -l luna -d "show the last lunar cycle"
complete -f -c watson -n '__fish_watson_using_command report' -s w -l week -d "show week-to-day"
complete -f -c watson -n '__fish_watson_using_command report' -s d -l day -d "show today"
complete -f -c watson -n '__fish_watson_using_command report' -s a -l all -d "show all"
complete -f -c watson -n '__fish_watson_using_command report' -s p -l project -d "restrict to project" -a "(__fish_watson_get_projects)"
complete -f -c watson -n '__fish_watson_using_command report' -s T -l tag -d "restrict to tag" -a "(__fish_watson_get_tags)"
complete -f -c watson -n '__fish_watson_using_command report' -s j -l json -d "output json"
complete -f -c watson -n '__fish_watson_using_command report' -s s -l csv -d "output csv"
complete -f -c watson -n '__fish_watson_using_command report' -s g -l pager -d "view through pager"
complete -f -c watson -n '__fish_watson_using_command report' -s G -l no-pager -d "don't vew through pager"
# restart
complete -f -c watson -n '__fish_watson_needs_sub' -a restart -d "Restart monitoring time for a stopped project"
complete -f -c watson -n '__fish_watson_using_command restart' -s s -l stop -d "stop running project"
complete -f -c watson -n '__fish_watson_using_command restart' -s S -l no-stop -d "do not stop running project"
complete -f -c watson -n '__fish_watson_using_command restart' -a "(__fish_watson_get_frames)"
# start
complete -f -c watson -n '__fish_watson_needs_sub' -a start -d "Start monitoring time for a project"
complete -f -c watson -n '__fish_watson_needs_project start' -a "(__fish_watson_get_projects)"
complete -f -c watson -n '__fish_watson_has_project start' -a "+(__fish_watson_get_tags)"
# status
complete -f -c watson -n '__fish_watson_needs_sub' -a status -d "Display when the current project was started and time spent"
complete -f -c watson -n '__fish_watson_using_command status' -s p -l project -d "only show project"
complete -f -c watson -n '__fish_watson_using_command status' -s t -l tags -d "only show tags"
complete -f -c watson -n '__fish_watson_using_command status' -s e -l elapsed -d "only show elapsed time"
# stop
complete -f -c watson -n '__fish_watson_needs_sub' -a stop -d "Stop monitoring time for the current project"
complete -f -c watson -n '__fish_watson_using_command stop' -l at -d "Stop frame at this time (YYYY-MM-DDT)?HH:MM(:SS)?"

View file

@ -1,28 +0,0 @@
function _nvm_install --on-event nvm_install
set --query XDG_DATA_HOME || set --local XDG_DATA_HOME ~/.local/share
set --universal nvm_data $XDG_DATA_HOME/nvm
set --query nvm_mirror || set --universal nvm_mirror https://nodejs.org/dist
test ! -d $nvm_data && command mkdir -p $nvm_data
echo "Downloading the Node distribution index..." 2>/dev/null
_nvm_index_update $nvm_mirror $nvm_data/.index
end
function _nvm_update --on-event nvm_update
set --query XDG_DATA_HOME || set --local XDG_DATA_HOME ~/.local/share
set --universal nvm_data $XDG_DATA_HOME/nvm
set --query nvm_mirror || set --universal nvm_mirror https://nodejs.org/dist
end
function _nvm_uninstall --on-event nvm_uninstall
command rm -rf $nvm_data
set --query nvm_current_version && _nvm_version_deactivate $nvm_current_version
set --names | string replace --filter --regex -- "^nvm" "set --erase nvm" | source
functions --erase (functions --all | string match --entire --regex -- "^_nvm_")
end
if status is-interactive && set --query nvm_default_version && ! set --query nvm_current_version
nvm use $nvm_default_version >/dev/null
end

View file

@ -1,7 +0,0 @@
# Path to Oh My Fish install.
set -q XDG_DATA_HOME
and set -gx OMF_PATH "$XDG_DATA_HOME/omf"
or set -gx OMF_PATH "$HOME/.local/share/omf"
# Load Oh My Fish configuration.
source $OMF_PATH/init.fish

View file

@ -1,8 +0,0 @@
set EDITOR vim
set PAGER bat
set BROWSER firefox
if status --is-interactive
set BASE16_SHELL "$HOME/.config/base16-shell/"
source "$BASE16_SHELL/profile_helper.fish"
end

View file

@ -1,2 +0,0 @@
jorgebucaran/fisher
jorgebucaran/nvm.fish

View file

@ -1,39 +0,0 @@
# This file contains fish universal variable definitions.
# VERSION: 3.0
SETUVAR --export DEV_RWA_DB_PASS:tM54ynHFY2TsQeBW
SETUVAR --export DEV_RWA_MOODLE_DB_PASS:ZfILLMQKG1XwmGi0
SETUVAR --export JIRA_API_TOKEN:GeyxpLU08UNJaFgMX5qZ5A78
SETUVAR __fish_initialized:3100
SETUVAR _fish_abbr_mux:tmuxinator
SETUVAR _fisher_jorgebucaran_2F_fisher_files:/Users/iankeane/\x2econfig/fish/functions/fisher\x2efish\x1e/Users/iankeane/\x2econfig/fish/completions/fisher\x2efish
SETUVAR _fisher_jorgebucaran_2F_nvm_2E_fish_files:/Users/iankeane/\x2econfig/fish/functions/_nvm_index_update\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/_nvm_list\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/_nvm_version_activate\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/_nvm_version_deactivate\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/nvm\x2efish\x1e/Users/iankeane/\x2econfig/fish/conf\x2ed/nvm\x2efish\x1e/Users/iankeane/\x2econfig/fish/completions/nvm\x2efish
SETUVAR _fisher_plugins:jorgebucaran/fisher\x1ejorgebucaran/nvm\x2efish
SETUVAR fish_color_autosuggestion:555\x1ebrblack
SETUVAR fish_color_cancel:\x2dr
SETUVAR fish_color_command:005fd7
SETUVAR fish_color_comment:990000
SETUVAR fish_color_cwd:green
SETUVAR fish_color_cwd_root:red
SETUVAR fish_color_end:009900
SETUVAR fish_color_error:ff0000
SETUVAR fish_color_escape:00a6b2
SETUVAR fish_color_history_current:\x2d\x2dbold
SETUVAR fish_color_host:normal
SETUVAR fish_color_host_remote:yellow
SETUVAR fish_color_normal:normal
SETUVAR fish_color_operator:00a6b2
SETUVAR fish_color_param:00afff
SETUVAR fish_color_quote:999900
SETUVAR fish_color_redirection:00afff
SETUVAR fish_color_search_match:bryellow\x1e\x2d\x2dbackground\x3dbrblack
SETUVAR fish_color_selection:white\x1e\x2d\x2dbold\x1e\x2d\x2dbackground\x3dbrblack
SETUVAR fish_color_status:red
SETUVAR fish_color_user:brgreen
SETUVAR fish_color_valid_path:\x2d\x2dunderline
SETUVAR fish_key_bindings:fish_vi_key_bindings
SETUVAR fish_pager_color_completion:\x1d
SETUVAR fish_pager_color_description:B3A06D\x1eyellow
SETUVAR fish_pager_color_prefix:white\x1e\x2d\x2dbold\x1e\x2d\x2dunderline
SETUVAR fish_pager_color_progress:brwhite\x1e\x2d\x2dbackground\x3dcyan
SETUVAR nvm_data:/Users/iankeane/\x2elocal/share/nvm
SETUVAR nvm_mirror:https\x3a//nodejs\x2eorg/dist

View file

@ -1,16 +0,0 @@
function _nvm_index_update --argument-names mirror index
if not command curl --location --silent $mirror/index.tab >$index.temp
command rm -f $index.temp
echo "nvm: Can't update index, host unavailable: \"$mirror\"" >&2
return 1
end
command awk -v OFS=\t '
/v0.9.12/ { exit } # Unsupported
NR > 1 {
print $1 (NR == 2 ? " latest" : $10 != "-" ? " lts/" tolower($10) : "")
}
' $index.temp >$index
command rm -f $index.temp
end

View file

@ -1,11 +0,0 @@
function _nvm_list
set --local versions $nvm_data/*
set --query versions[1] &&
string match --entire --regex -- (string match --regex -- "v\d.+" $versions |
string escape --style=regex |
string join "|"
) <$nvm_data/.index
command --all node |
string match --quiet --invert --regex -- "^$nvm_data" && echo system
end

View file

@ -1,4 +0,0 @@
function _nvm_version_activate --argument-names v
set --global --export nvm_current_version $v
set --prepend PATH $nvm_data/$v/bin
end

View file

@ -1,5 +0,0 @@
function _nvm_version_deactivate --argument-names v
test "$nvm_current_version" = "$v" && set --erase nvm_current_version
set --local index (contains --index -- $nvm_data/$v/bin $PATH) &&
set --erase PATH[$index]
end

View file

@ -1,3 +0,0 @@
#AWSume alias to source the AWSume script
alias awsume="source (which awsume.fish)"

View file

@ -1,19 +0,0 @@
# This script was automatically generated by the broot program
# More information can be found in https://github.com/Canop/broot
# This function starts broot and executes the command
# it produces, if any.
# It's needed because some shell commands, like `cd`,
# have no useful effect if executed in a subshell.
function br --wraps=broot
set -l cmd_file (mktemp)
if broot --outcmd $cmd_file $argv
read --local --null cmd < $cmd_file
rm -f $cmd_file
eval $cmd
else
set -l code $status
rm -f $cmd_file
return $code
end
end

View file

@ -1,3 +0,0 @@
function fish_mode_prompt
# NOOP - Disable vim mode indicator
end

View file

@ -1,48 +0,0 @@
function fish_prompt
set -l last_command_status $status
set -l symbol 'π'
set -l normal_color (set_color normal)
set -l branch_color (set_color yellow)
set -l meta_color (set_color red)
set -l symbol_color (set_color blue -o)
set -l error_color (set_color red -o)
if git_is_repo
echo -n -s $branch_color (git_branch_name) $normal_color
set -l git_meta ""
if test (command git ls-files --others --exclude-standard | wc -w 2> /dev/null) -gt 0
set git_meta "$git_meta?"
end
if test (command git rev-list --walk-reflogs --count refs/stash 2> /dev/null)
set git_meta "$git_meta\$"
end
if git_is_touched
git_is_dirty && set git_meta "$git_meta"
git_is_staged && set git_meta "$git_meta"
end
set -l commit_count (command git rev-list --count --left-right (git remote)/(git_branch_name)"...HEAD" 2> /dev/null)
if test $commit_count
set -l behind (echo $commit_count | cut -f 1)
set -l ahead (echo $commit_count | cut -f 2)
if test $behind -gt 0
set git_meta "$git_meta🠋"
end
if test $ahead -gt 0
set git_meta "$git_meta🠉"
end
end
if test $git_meta
echo -n -s $meta_color " " $git_meta " " $normal_color
else
echo -n -s " "
end
end
if test $last_command_status -eq 0
echo -n -s $symbol_color $symbol " " $normal_color
else
echo -n -s $error_color $symbol " " $normal_color
end
end

View file

@ -1,211 +0,0 @@
function fisher --argument-names cmd --description "A plugin manager for Fish"
set --query fisher_path || set --local fisher_path $__fish_config_dir
set --local fisher_version 4.3.1
set --local fish_plugins $__fish_config_dir/fish_plugins
switch "$cmd"
case -v --version
echo "fisher, version $fisher_version"
case "" -h --help
echo "Usage: fisher install <plugins...> Install plugins"
echo " fisher remove <plugins...> Remove installed plugins"
echo " fisher update <plugins...> Update installed plugins"
echo " fisher update Update all installed plugins"
echo " fisher list [<regex>] List installed plugins matching regex"
echo "Options:"
echo " -v or --version Print version"
echo " -h or --help Print this help message"
echo "Variables:"
echo " \$fisher_path Plugin installation path. Default: ~/.config/fish"
case ls list
string match --entire --regex -- "$argv[2]" $_fisher_plugins
case install update remove
isatty || read --local --null --array stdin && set --append argv $stdin
set --local install_plugins
set --local update_plugins
set --local remove_plugins
set --local arg_plugins $argv[2..-1]
set --local old_plugins $_fisher_plugins
set --local new_plugins
if ! set --query argv[2]
if test "$cmd" != update
echo "fisher: Not enough arguments for command: \"$cmd\"" >&2 && return 1
else if test ! -e $fish_plugins
echo "fisher: \"$fish_plugins\" file not found: \"$cmd\"" >&2 && return 1
end
set arg_plugins (string match --regex -- '^[^\s]+$' <$fish_plugins)
end
for plugin in $arg_plugins
test -e "$plugin" && set plugin (realpath $plugin)
contains -- "$plugin" $new_plugins || set --append new_plugins $plugin
end
if set --query argv[2]
for plugin in $new_plugins
if contains -- "$plugin" $old_plugins
test "$cmd" = remove &&
set --append remove_plugins $plugin ||
set --append update_plugins $plugin
else if test "$cmd" = install
set --append install_plugins $plugin
else
echo "fisher: Plugin not installed: \"$plugin\"" >&2 && return 1
end
end
else
for plugin in $new_plugins
contains -- "$plugin" $old_plugins &&
set --append update_plugins $plugin ||
set --append install_plugins $plugin
end
for plugin in $old_plugins
contains -- "$plugin" $new_plugins || set --append remove_plugins $plugin
end
end
set --local pid_list
set --local source_plugins
set --local fetch_plugins $update_plugins $install_plugins
echo (set_color --bold)fisher $cmd version $fisher_version(set_color normal)
for plugin in $fetch_plugins
set --local source (command mktemp -d)
set --append source_plugins $source
command mkdir -p $source/{completions,conf.d,functions}
fish --command "
if test -e $plugin
command cp -Rf $plugin/* $source
else
set temp (command mktemp -d)
set name (string split \@ $plugin) || set name[2] HEAD
set url https://codeload.github.com/\$name[1]/tar.gz/\$name[2]
echo Fetching (set_color --underline)\$url(set_color normal)
if curl --silent \$url | tar -xzC \$temp -f - 2>/dev/null
command cp -Rf \$temp/*/* $source
else
echo fisher: Invalid plugin name or host unavailable: \\\"$plugin\\\" >&2
command rm -rf $source
end
command rm -rf \$temp
end
set files $source/* && string match --quiet --regex -- .+\.fish\\\$ \$files
" &
set --append pid_list (jobs --last --pid)
end
wait $pid_list 2>/dev/null
for plugin in $fetch_plugins
if set --local source $source_plugins[(contains --index -- "$plugin" $fetch_plugins)] && test ! -e $source
if set --local index (contains --index -- "$plugin" $install_plugins)
set --erase install_plugins[$index]
else
set --erase update_plugins[(contains --index -- "$plugin" $update_plugins)]
end
end
end
for plugin in $update_plugins $remove_plugins
if set --local index (contains --index -- "$plugin" $_fisher_plugins)
set --local plugin_files_var _fisher_(string escape --style=var -- $plugin)_files
if contains -- "$plugin" $remove_plugins
for name in (string replace --filter --regex -- '.+/conf\.d/([^/]+)\.fish$' '$1' $$plugin_files_var)
emit {$name}_uninstall
end
printf "%s\n" Removing\ (set_color red --bold)$plugin(set_color normal) " "$$plugin_files_var
end
command rm -rf $$plugin_files_var
functions --erase (string replace --filter --regex -- '.+/functions/([^/]+)\.fish$' '$1' $$plugin_files_var)
for name in (string replace --filter --regex -- '.+/completions/([^/]+)\.fish$' '$1' $$plugin_files_var)
complete --erase --command $name
end
set --erase _fisher_plugins[$index]
set --erase $plugin_files_var
end
end
if set --query update_plugins[1] || set --query install_plugins[1]
command mkdir -p $fisher_path/{functions,conf.d,completions}
end
for plugin in $update_plugins $install_plugins
set --local source $source_plugins[(contains --index -- "$plugin" $fetch_plugins)]
set --local files $source/{functions,conf.d,completions}/*
if set --local index (contains --index -- $plugin $install_plugins)
set --local user_files $fisher_path/{functions,conf.d,completions}/*
set --local conflict_files
for file in (string replace -- $source/ $fisher_path/ $files)
contains -- $file $user_files && set --append conflict_files $file
end
if set --query conflict_files[1] && set --erase install_plugins[$index]
echo -s "fisher: Cannot install \"$plugin\": please remove or move conflicting files first:" \n" "$conflict_files >&2
continue
end
end
for file in (string replace -- $source/ "" $files)
command cp -Rf $source/$file $fisher_path/$file
end
set --local plugin_files_var _fisher_(string escape --style=var -- $plugin)_files
set --query files[1] && set --universal $plugin_files_var (string replace -- $source $fisher_path $files)
contains -- $plugin $_fisher_plugins || set --universal --append _fisher_plugins $plugin
contains -- $plugin $install_plugins && set --local event install || set --local event update
printf "%s\n" Installing\ (set_color --bold)$plugin(set_color normal) " "$$plugin_files_var
for file in (string match --regex -- '.+/[^/]+\.fish$' $$plugin_files_var)
source $file
if set --local name (string replace --regex -- '.+conf\.d/([^/]+)\.fish$' '$1' $file)
emit {$name}_$event
end
end
end
command rm -rf $source_plugins
set --query _fisher_plugins[1] || set --erase _fisher_plugins
set --query _fisher_plugins &&
printf "%s\n" $_fisher_plugins >$fish_plugins ||
command rm -f $fish_plugins
set --local total (count $install_plugins) (count $update_plugins) (count $remove_plugins)
test "$total" != "0 0 0" && echo (string join ", " (
test $total[1] = 0 || echo "Installed $total[1]") (
test $total[2] = 0 || echo "Updated $total[2]") (
test $total[3] = 0 || echo "Removed $total[3]")
) plugin/s
case \*
echo "fisher: Unknown command: \"$cmd\"" >&2 && return 1
end
end
## Migrations ##
function _fisher_fish_postexec --on-event fish_postexec
if functions --query _fisher_list
fisher update >/dev/null 2>/dev/null
set --query XDG_DATA_HOME || set --local XDG_DATA_HOME ~/.local/share
test -e $XDG_DATA_HOME/fisher && command rm -rf $XDG_DATA_HOME/fisher
functions --erase _fisher_list _fisher_plugin_parse
set --erase fisher_data
end
functions --erase _fisher_fish_postexec
end

View file

@ -1,3 +0,0 @@
function mediamount --wraps='mount_smbfs //wizard:Dexter706@tower/media mnt/media' --description 'alias mediamount=mount_smbfs //wizard:Dexter706@tower/media mnt/media'
mount_smbfs //wizard:Dexter706@tower/media mnt/media $argv;
end

View file

@ -1,206 +0,0 @@
function nvm --argument-names cmd v --description "Node version manager"
if test -z "$v" && contains -- "$cmd" install use
for file in .nvmrc .node-version
set file (_nvm_find_up $PWD $file) && read v <$file && break
end
if test -z "$v"
echo "nvm: Invalid version or missing \".nvmrc\" file" >&2
return 1
end
end
switch "$cmd"
case -v --version
echo "nvm, version 2.2.6"
case "" -h --help
echo "Usage: nvm install <version> Download and activate the specified Node version"
echo " nvm install Install version from nearest .nvmrc file"
echo " nvm use <version> Activate a version in the current shell"
echo " nvm use Activate version from nearest .nvmrc file"
echo " nvm list List installed versions"
echo " nvm list-remote List versions available to install"
echo " nvm list-remote <regex> List versions matching a given regular expression"
echo " nvm current Print the currently-active version"
echo " nvm uninstall <version> Uninstall a version"
echo "Options:"
echo " -v or --version Print version"
echo " -h or --help Print this help message"
echo "Variables:"
echo " nvm_arch Override architecture, e.g. x64-musl"
echo " nvm_mirror Set the Node download mirror"
echo " nvm_default_version Set the default version for new shells"
case install
_nvm_index_update $nvm_mirror $nvm_data/.index || return
string match --entire --regex -- (_nvm_version_match $v) <$nvm_data/.index | read v alias
if ! set --query v[1]
echo "nvm: Invalid version number or alias: \"$argv[2..-1]\"" >&2
return 1
end
if test ! -e $nvm_data/$v
set --local os (command uname -s | string lower)
set --local ext tar.gz
set --local arch (command uname -m)
switch $os
case aix
set arch ppc64
case sunos
case linux
case darwin
case {MSYS_NT,MINGW\*_NT}\*
set os win
set ext zip
case \*
echo "nvm: Unsupported operating system: \"$os\"" >&2
return 1
end
switch $arch
case i\*86
set arch x86
case x86_64
set arch x64
case arm64
string match --regex --quiet "v(?<major>\d+)" $v
if test "$os" = darwin -a $major -lt 16
set arch x64
end
case armv6 armv6l
set arch armv6l
case armv7 armv7l
set arch armv7l
case armv8 armv8l aarch64
set arch arm64
end
set --query nvm_arch && set arch $nvm_arch
set --local dir "node-$v-$os-$arch"
set --local url $nvm_mirror/$v/$dir.$ext
command mkdir -p $nvm_data/$v
echo -e "Installing Node \x1b[1m$v\x1b[22m $alias"
echo -e "Fetching \x1b[4m$url\x1b[24m\x1b[7m"
if ! command curl --progress-bar --location $url \
| command tar --extract --gzip --directory $nvm_data/$v 2>/dev/null
command rm -rf $nvm_data/$v
echo -e "\033[F\33[2K\x1b[0mnvm: Invalid mirror or host unavailable: \"$url\"" >&2
return 1
end
echo -en "\033[F\33[2K\x1b[0m"
if test "$os" = win
command mv $nvm_data/$v/$dir $nvm_data/$v/bin
else
command mv $nvm_data/$v/$dir/* $nvm_data/$v
command rm -rf $nvm_data/$v/$dir
end
end
if test $v != "$nvm_current_version"
set --query nvm_current_version && _nvm_version_deactivate $nvm_current_version
_nvm_version_activate $v
end
printf "Now using Node %s (npm %s) %s\n" (_nvm_node_info)
case use
test $v = default && set v $nvm_default_version
_nvm_list | string match --entire --regex -- (_nvm_version_match $v) | read v __
if ! set --query v[1]
echo "nvm: Can't use Node \"$argv[2..-1]\", version must be installed first" >&2
return 1
end
if test $v != "$nvm_current_version"
set --query nvm_current_version && _nvm_version_deactivate $nvm_current_version
test $v != system && _nvm_version_activate $v
end
printf "Now using Node %s (npm %s) %s\n" (_nvm_node_info)
case uninstall
if test -z "$v"
echo "nvm: Not enough arguments for command: \"$cmd\"" >&2
return 1
end
test $v = default && test ! -z "$nvm_default_version" && set v $nvm_default_version
_nvm_list | string match --entire --regex -- (_nvm_version_match $v) | read v __
if ! set -q v[1]
echo "nvm: Node version not installed or invalid: \"$argv[2..-1]\"" >&2
return 1
end
printf "Uninstalling Node %s %s\n" $v (string replace ~ \~ "$nvm_data/$v/bin/node")
_nvm_version_deactivate $v
command rm -rf $nvm_data/$v
case current
_nvm_current
case ls list
_nvm_list | _nvm_list_format (_nvm_current) $argv[2]
case lsr {ls,list}-remote
_nvm_index_update $nvm_mirror $nvm_data/.index || return
_nvm_list | command awk '
FILENAME == "-" && (is_local[$1] = FNR == NR) { next } {
print $0 (is_local[$1] ? " ✓" : "")
}
' - $nvm_data/.index | _nvm_list_format (_nvm_current) $argv[2]
case \*
echo "nvm: Unknown command or option: \"$cmd\" (see nvm -h)" >&2
return 1
end
end
function _nvm_find_up --argument-names path file
test -e "$path/$file" && echo $path/$file || begin
test "$path" != / || return
_nvm_find_up (command dirname $path) $file
end
end
function _nvm_version_match --argument-names v
string replace --regex -- '^v?(\d+|\d+\.\d+)$' 'v$1.' $v |
string replace --filter --regex -- '^v?(\d+)' 'v$1' |
string escape --style=regex ||
string lower '\b'$v'(?:/\w+)?$'
end
function _nvm_list_format --argument-names current regex
command awk -v current="$current" -v regex="$regex" '
$0 ~ regex {
aliases[versions[i++] = $1] = $2 " " $3
pad = (n = length($1)) > pad ? n : pad
}
END {
if (!i) exit 1
while (i--)
printf((current == versions[i] ? " ▶ " : " ") "%"pad"s %s\n",
versions[i], aliases[versions[i]])
}
'
end
function _nvm_current
command --search --quiet node || return
set --query nvm_current_version && echo $nvm_current_version || echo system
end
function _nvm_node_info
set --local npm_path (string replace bin/npm-cli.js "" (realpath (command --search npm)))
test -f $npm_path/package.json || set --local npm_version_default (command npm --version)
command node --eval "
console.log(process.version)
console.log('$npm_version_default' ? '$npm_version_default': require('$npm_path/package.json').version)
console.log(process.execPath.replace(require('os').homedir(), '~'))
"
end

View file

@ -1,3 +0,0 @@
function w --wraps=watson --description 'alias w=watson'
watson $argv;
end

View file

@ -2,8 +2,24 @@
# VERSION: 3.0 # VERSION: 3.0
SETUVAR --export DEV_RWA_DB_PASS:tM54ynHFY2TsQeBW SETUVAR --export DEV_RWA_DB_PASS:tM54ynHFY2TsQeBW
SETUVAR --export DEV_RWA_MOODLE_DB_PASS:ZfILLMQKG1XwmGi0 SETUVAR --export DEV_RWA_MOODLE_DB_PASS:ZfILLMQKG1XwmGi0
SETUVAR --export FLAV01:\x23ebdbb2
SETUVAR --export FLAV02:\x23d5c4a1
SETUVAR --export FLAV03:\x23bdae93
SETUVAR --export FLAV04:\x23665c54
SETUVAR --export FLAV05:\x23504945
SETUVAR --export FLAV06:\x233c3836
SETUVAR --export FLAV07:\x23282828
SETUVAR --export FLAV08:\x239d0006
SETUVAR --export FLAV09:\x23af3a03
SETUVAR --export FLAV10:\x23f9f5d7
SETUVAR --export FLAV11:\x23f9f5d7
SETUVAR --export FLAV12:\x239d0006
SETUVAR --export FLAV13:\x23b57614
SETUVAR --export FLAV14:\x2379740e
SETUVAR --export FLAV15:\x23427b58
SETUVAR --export FLAV16:\x23076678
SETUVAR --export JIRA_API_TOKEN:GeyxpLU08UNJaFgMX5qZ5A78 SETUVAR --export JIRA_API_TOKEN:GeyxpLU08UNJaFgMX5qZ5A78
SETUVAR __fish_initialized:3100 SETUVAR __fish_initialized:3400
SETUVAR _fish_abbr_mux:tmuxinator SETUVAR _fish_abbr_mux:tmuxinator
SETUVAR _fisher_jorgebucaran_2F_fisher_files:/Users/iankeane/\x2econfig/fish/functions/fisher\x2efish\x1e/Users/iankeane/\x2econfig/fish/completions/fisher\x2efish SETUVAR _fisher_jorgebucaran_2F_fisher_files:/Users/iankeane/\x2econfig/fish/functions/fisher\x2efish\x1e/Users/iankeane/\x2econfig/fish/completions/fisher\x2efish
SETUVAR _fisher_jorgebucaran_2F_nvm_2E_fish_files:/Users/iankeane/\x2econfig/fish/functions/_nvm_index_update\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/_nvm_list\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/_nvm_version_activate\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/_nvm_version_deactivate\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/nvm\x2efish\x1e/Users/iankeane/\x2econfig/fish/conf\x2ed/nvm\x2efish\x1e/Users/iankeane/\x2econfig/fish/completions/nvm\x2efish SETUVAR _fisher_jorgebucaran_2F_nvm_2E_fish_files:/Users/iankeane/\x2econfig/fish/functions/_nvm_index_update\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/_nvm_list\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/_nvm_version_activate\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/_nvm_version_deactivate\x2efish\x1e/Users/iankeane/\x2econfig/fish/functions/nvm\x2efish\x1e/Users/iankeane/\x2econfig/fish/conf\x2ed/nvm\x2efish\x1e/Users/iankeane/\x2econfig/fish/completions/nvm\x2efish
@ -35,5 +51,7 @@ SETUVAR fish_pager_color_completion:\x1d
SETUVAR fish_pager_color_description:B3A06D\x1eyellow SETUVAR fish_pager_color_description:B3A06D\x1eyellow
SETUVAR fish_pager_color_prefix:white\x1e\x2d\x2dbold\x1e\x2d\x2dunderline SETUVAR fish_pager_color_prefix:white\x1e\x2d\x2dbold\x1e\x2d\x2dunderline
SETUVAR fish_pager_color_progress:brwhite\x1e\x2d\x2dbackground\x3dcyan SETUVAR fish_pager_color_progress:brwhite\x1e\x2d\x2dbackground\x3dcyan
SETUVAR fish_pager_color_selected_background:\x2dr
SETUVAR fish_user_paths:/home/green/\x2elocal/bin\x1e/home/green/bin\x1e/home/linuxbrew/\x2elinuxbrew/bin\x1e/home/green/\x2ecargo/bin\x1e/usr/games\x1e/home/green/\x2econfig/fzf/bin
SETUVAR nvm_data:/Users/iankeane/\x2elocal/share/nvm SETUVAR nvm_data:/Users/iankeane/\x2elocal/share/nvm
SETUVAR nvm_mirror:https\x3a//nodejs\x2eorg/dist SETUVAR nvm_mirror:https\x3a//nodejs\x2eorg/dist

View file

@ -1,3 +1,2 @@
theme default theme default
theme pie theme pie
theme spacefish

View file

@ -2,13 +2,24 @@
# wm independent hotkeys # wm independent hotkeys
# #
# start flavours
set norm_bg "#343D46"
set norm_fg "#CDD3DE"
set sel_bg "#99C794"
set sel_fg "#343D46"
# end flavours
# terminal emulator # terminal emulator
super + Return super + Return
urxvt st
# program launcher # program launcher
# super + @space
# dmenu_run -l 15 -i -nf $(xrdb -query | grep '^*foreground' | cut -f2) -nb $(xrdb -query | grep '^*background' | cut -f2) -sb $(xrdb -query | grep -m 1 '*color4' | cut -f2) -sf $(xrdb -query | grep '^*foreground' | cut -f2)
super + @space super + @space
dmenu_run -l 15 -i -nf $(xrdb -query | grep '^*foreground' | cut -f2) -nb $(xrdb -query | grep '^*background' | cut -f2) -sb $(xrdb -query | grep -m 1 '*color1' | cut -f2) -sf $(xrdb -query | grep '^*foreground' | cut -f2) dmenu_run -l 15 -i -nf $norm_fg -nb $norm_bg -sb $sel_bg -sf $sel_fg
# make sxhkd reload its configuration files: # make sxhkd reload its configuration files:
super + Escape super + Escape
@ -112,13 +123,25 @@ super + ctrl + shift + space
# move/resize # move/resize
# #
# expand a window by moving one of its side outward # # expand a window by moving one of its side outward
super + alt + {h,j,k,l} # super + alt + {h,j,k,l}
bspc node -z {left -20 0,bottom 0 20,top 0 -20,right 20 0} # bspc node -z {left -20 0,bottom 0 20,top 0 -20,right 20 0}
# contract a window by moving one of its side inward # # contract a window by moving one of its side inward
super + alt + shift + {h,j,k,l} # super + alt + shift + {h,j,k,l}
bspc node -z {right -20 0,top 0 20,bottom 0 -20,left 20 0} # bspc node -z {right -20 0,top 0 20,bottom 0 -20,left 20 0}
# Resize windows
# https://old.reddit.com/r/bspwm/comments/r5stxu/resizing_windows_nicely_in_my_opinion/
super + alt + {h,j,k,l}
{bspc node @parent/second -z left -20 0; \
bspc node @parent/first -z right -20 0, \
bspc node @parent/second -z top 0 +20; \
bspc node @parent/first -z bottom 0 +20, \
bspc node @parent/first -z bottom 0 -20; \
bspc node @parent/second -z top 0 -20, \
bspc node @parent/first -z right +20 0; \
bspc node @parent/second -z left +20 0}
# move a floating window # move a floating window
super + {Left,Down,Up,Right} super + {Left,Down,Up,Right}
@ -128,29 +151,29 @@ super + {Left,Down,Up,Right}
# dmenu_run -l 15 -i # dmenu_run -l 15 -i
super + d super + d
dmenu_run -l 15 -i -nf $(xrdb -query | grep '^*foreground' | cut -f2) -nb $(xrdb -query | grep '^*background' | cut -f2) -sb $(xrdb -query | grep -m 1 '*color1' | cut -f2) -sf $(xrdb -query | grep '^*foreground' | cut -f2) dmenu_run -l 15 -i
super + w super + w
bspc config window_gap 0 && bspc config border_width 1 bspc config window_gap 0
super + shift + w super + shift + w
bspc config window_gap 12 && bspc config border_width 2 bspc config window_gap 12
super + m super + m
{bspc rule -a \* -o state=floating && urxvt -e ncmpcpp} {bspc rule -a \* -o state=floating && st -e ncmpcpp}
# urxvt -e bspc node -t ~floating && ncmpcpp # st -e bspc node -t ~floating && ncmpcpp
super + p super + p
urxvt -e vim $(tree -iaf -I .cache | dmenu) st -e vim $(tree -iaf -I .cache | dmenu)
super + n super + n
{bspc rule -a \* -o state=floating && urxvt -e newsboat} {bspc rule -a \* -o state=floating && st -e newsboat}
super + shift + n super + shift + n
{bspc rule -a \* -o state=floating && urxvt -e nmtui} {bspc rule -a \* -o state=floating && st -e nmtui}
super + c super + c
{bspc rule -a \* -o state=floating && urxvt -e calcurse -D ~/.config/calcurse } {bspc rule -a \* -o state=floating && st -e calcurse -D ~/.config/calcurse }
# Increase/descrease gap size # Increase/descrease gap size
super + z super + z
@ -160,7 +183,7 @@ super + shift + z
bspc config window_gap $(($(bspc config window_gap) + 3)) bspc config window_gap $(($(bspc config window_gap) + 3))
super + r super + r
{bspc rule -a \* -o state=floating && urxvt -e ranger} {bspc rule -a \* -o state=floating && st -e ranger}
super + b super + b
exec qutebrowser exec qutebrowser
@ -170,3 +193,5 @@ super + x
super + shift + x super + shift + x
setxkbmap -layout ru setxkbmap -layout ru
# After quitting bar, reset spaces: bspc config top_padding 0 or bottom_padding

View file

@ -37,7 +37,7 @@ set -g escape-time 0
set -g mouse on set -g mouse on
set-option -g status-right-length 140 set-option -g status-right-length 140
set-option -g status-right "#(curl 'wttr.in/?format=%%c%%t%%20')|#[bg=default] %a %l:%M %p#[default]#(curl 'wttr.in/?format=%%20%%m%%20(%%M)%') |#(sugar --tmux)#[bg=default]" set-option -g status-right "#(curl 'wttr.in/?format=%%c%%t%%20')|#[bg=default] %a %l:%M %p#[default]#(curl 'wttr.in/?format=%%20%%m%%20(%%M)') |#(sugar --tmux)#[bg=default]"
set-option -g status-left-length 140 set-option -g status-left-length 140
set-option -g status-left " Session: #[bold,fg=green,bg=black] #S #[fg=black,bg=green] " set-option -g status-left " Session: #[bold,fg=green,bg=black] #S #[fg=black,bg=green] "

View file

@ -27,3 +27,6 @@
# Need post on # Need post on
- cheat.sh and competitors - cheat.sh and competitors
- vim-rest-console - vim-rest-console
# AWS notes
- [SAA](SAA)

View file

@ -58,6 +58,10 @@
"}}} "}}}
if filereadable(expand("~/.vimrc_background"))
let base16colorspace=256
source ~/.vimrc_background
endif
" appearance {{{ " appearance {{{
colorscheme base16-default-dark colorscheme base16-default-dark
let base16colorspace=256 let base16colorspace=256
@ -128,6 +132,7 @@ set listchars=tab:▸\ ,eol:¬
au FileType markdown setlocal foldlevel=99 au FileType markdown setlocal foldlevel=99
let g:bufExplorerSplitHorzSize=8 " New split window is n rows high. let g:bufExplorerSplitHorzSize=8 " New split window is n rows high.
let g:bufExplorerDefaultHelp=0 " Do not show default help. let g:bufExplorerDefaultHelp=0 " Do not show default help.
set nobackup
"}}} "}}}
@ -324,8 +329,10 @@ set listchars=tab:▸\ ,eol:¬
"}}} "}}}
" "
" folding options {{{ " folding options {{{
" folding options, this must be last in file " folding options, this must be last in file
" vim:foldmethod=marker:foldlevel=0 " vim:foldmethod=marker:foldlevel=0
" }}} " }}}
"

View file

@ -1,12 +1,14 @@
#picom & #picom &
xss-lock i3lock-fancy &
ntpdate pool.ntp.org
xrdb .Xresources & xrdb .Xresources &
feh --bg-fill ~/Documents/Pictures/Wallpapers/winfuck.jpg & feh --bg-fill ~/images/wallpapers/cliffface.jpg &
#base16-oceanicnext
#exec i3 #exec i3
mpd & #mpd &
# pulseaudio & pulseaudio &
#pipewire &
#pipewire-pulse &
setxkbmap -option caps:ctrl_modifier & setxkbmap -option caps:ctrl_modifier &
i3status | dzen2 -ta r -y 1062 -dock -fn xft:BitstreamVeraSansMono:pixelsize=14 &
exec bspwm exec bspwm

View file

@ -94,3 +94,5 @@ compinit
complete -C '/usr/local/bin/aws_completer' aws complete -C '/usr/local/bin/aws_completer' aws
source /Users/iankeane/.config/broot/launcher/bash/br source /Users/iankeane/.config/broot/launcher/bash/br
[ -f ~/.fzf.zsh ] && source ~/.fzf.zsh

View file

@ -1,4 +1,4 @@
#!/usr/local/bin/python3 #!/usr/bin/python3
import sys import sys
import requests import requests
import json import json
@ -27,6 +27,7 @@ from termcolor import colored
# ] # ]
tmux = '--tmux' in sys.argv tmux = '--tmux' in sys.argv
lemonbar = '--lb' in sys.argv
down = '\u2193' # ↓ down = '\u2193' # ↓
falling = '\u2798' # ➘ falling = '\u2798' # ➘
@ -37,9 +38,14 @@ up = '\u2191' # ↑
url = 'http://blood.dump.town' url = 'http://blood.dump.town'
options = '/api/v1/entries.json?count=1&token=phone-7631d7eebc79825b' options = '/api/v1/entries.json?count=1&token=phone-7631d7eebc79825b'
try:
res = requests.get(url + options) res = requests.get(url + options)
except:
sys.exit()
sugar = res.json()[0] sugar = res.json()[0]
delta = sugar['delta'] delta = sugar['delta']
sgv = sugar['sgv'] sgv = sugar['sgv']
direction = sugar['direction'] direction = sugar['direction']
@ -63,14 +69,19 @@ elif ((sgv >= 180 and sgv <= 225)
else: else:
color = 'green' color = 'green'
if not tmux: if tmux:
print(colored(str(sugar['sgv']) +
' ' + arrow + ' ' +
'(' + str(delta) + ')',
color))
else:
print(f'#[bg={color}] ' + print(f'#[bg={color}] ' +
str(round(sugar['sgv'], 1)) + ' ' + str(round(sugar['sgv'], 1)) + ' ' +
arrow + ' ' + arrow + ' ' +
'(' + str(delta) + ')' '(' + str(delta) + ')'
) )
elif lemonbar:
print(str(round(sugar['sgv'], 1)) + ' ' +
arrow + ' ' +
'(' + str(delta) + ')'
)
else:
print(colored(str(sugar['sgv']) +
' ' + arrow + ' ' +
'(' + str(delta) + ')',
color))

1
windows/README.md Normal file
View file

@ -0,0 +1 @@
I'm hoping I never have to use this directory again